import request from '@/utils/request'

/**
 * 检查分包商是否重复
 * @param data
 * @returns {*}
 */
export function checkIsExistSubName(data) {
  return request({
    url: '/project/sub/checkIsExistSubName',
    method: 'post',
    data: data
  })
}
/**
 * 新增分包商单位
 * @param data
 * @returns {*}
 */
export function addInfo(data) {
  return request({
    url: '/project/sub/addInfo',
    method: 'post',
    data: data
  })
}

export function submitPersonApproval(data) {
  return request({
    url: '/project/sub/submitPersonApproval',
    method: 'post',
    data: data
  })
}

export function sendSubNotice(data) {
  return request({
    url: '/project/sub/sendSubNotice',
    method: 'post',
    data: data
  })
}

// 删除工程
export function delSub(id) {
  return request({
    url: '/project/sub/delSub/' + id,
    method: 'delete'
  })
}
